#ifndef IG__MY_PLUGIN_CLASS_2006
#define IG__MY_PLUGIN_CLASS_2006
#include "mainappli.hpp"

class MyPluginClass : public MyPluginInterface
{
public:
	MyPluginClass(void);
	virtual ~MyPluginClass(void);

	virtual float GetVersion(void);

	/* 親のフレンド関数は継承されないことに注意 */
	friend MyPluginInterface* MakeInstance(void);
	friend void ReleaseInstance(MyPluginInterface* instance);
};

#endif
